Package edu.wisc.game.parser

## Class Expression.AdditiveExpression

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Expression.ArithmeticExpression>
      - - edu.wisc.game.parser.Expression.SerialExpression
        - - edu.wisc.game.parser.Expression.AdditiveExpression

- All Implemented Interfaces:
    `Expression`, `Expression.ArithmeticExpression`, `Serializable`, `Cloneable`, `Iterable<Expression.ArithmeticExpression>`, `Collection<Expression.ArithmeticExpression>`, `List<Expression.ArithmeticExpression>`, `RandomAccess`
  Enclosing interface:
    Expression

      public static class Expression.AdditiveExpression
      extends Expression.SerialExpression

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface edu.wisc.game.parser.Expression

      `Expression.AdditiveExpression, Expression.ArithmeticExpression, Expression.BracketList, Expression.ColonExpression, Expression.EqualityExpression, Expression.ExList, Expression.Id, Expression.MultiplicativeExpression, Expression.NegationExpression, Expression.Num, Expression.ParenList, Expression.QualifiedId, Expression.RangeExpression, Expression.SerialExpression, Expression.Star`

  - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface edu.wisc.game.parser.Expression

      `STAR`

  - ### Method Summary

    - ### Methods inherited from class edu.wisc.game.parser.Expression.SerialExpression

      `evalSet, listAllVars, toSrc, toString`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`